#ifndef INC_SETTINGS_H
#define INC_SETTINGS_H

#include <SDL/SDL.h>

enum UseAALevel
{
    AA_NO,
    AA_YES,
    AA_FORCE
};

struct Settings
{
    bool invuln;
    UseAALevel useAA;
    bool showGrid;
    bool zoomEnabled;
    bool rotatingView;
    float requestedRating;

    int fps;

    int width;
    int height;
    int bpp;
    bool fullscreen;
    Uint32 videoFlags;

    bool music;

    Settings();
};

extern Settings settings;

#endif /* INC_SETTINGS_H */
